Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class Progress

    java.lang.Object
      org.basex.core.Progress

Direct Known Subclasses:
  Builder, IndexBuilder, Parser, Process, QueryContext, QueryProcessor, XMLScanner

    public abstract class Progress

extends java.lang.Object

This class is implemented by all kinds of processes. It gives feedback on the current process. Moreover, it allows to interrupt the process by calling the `stop()` method.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`Progress()`

Method Summary
`void` | `checkStop()` Checks if the progress was interrupted; if yes, sends a runtime exception.
`java.lang.String` | `det()` Returns short information on this process.
`java.lang.String` | `detail()` Returns detailed information on the current process or sub process.
`double` | `prog()` Returns progress information.
`double` | `progress()` Returns a progress value (0 - 1).
`void` | `progress(Progress prog)` Sets a new sub progress.
`void` | `stop()` Stops a process or sub process.
`java.lang.String` | `tit()` Returns short information on this process.
`java.lang.String` | `title()` Returns short information on the current process or sub process.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Progress

    public Progress()

Method Detail

### title

    public final java.lang.String title()

  Returns short information on the current process or sub process.

  Returns:
    header information

### tit

    public java.lang.String tit()

  Returns short information on this process. Can be overwritten to give more detailed information.

  Returns:
    header information

### detail

    public final java.lang.String detail()

  Returns detailed information on the current process or sub process. Can be overwritten to give more detailed information.

  Returns:
    information in detail

### det

    public java.lang.String det()

  Returns short information on this process.

  Returns:
    header information

### progress

    public final double progress()

  Returns a progress value (0 - 1).

  Returns:
    header information

### prog

    public double prog()

  Returns progress information. Can be overwritten to give more detailed information.

  Returns:
    header information

### progress

    public final void progress(Progress prog)

  Sets a new sub progress.

  Parameters:
    `prog` - progress

### stop

    public final void stop()

  Stops a process or sub process.

### checkStop

    public void checkStop()

  Checks if the progress was interrupted; if yes, sends a runtime exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD